package user

import (
	"errors"
	"gofiber.study.skcks.cn/global"
	"gofiber.study.skcks.cn/model/user/models"
)

var (
	NotExists = errors.New("用户不存在")
)

func GetUserByAccount(account string) (*models.User, error) {
	u := &models.User{
		Account: account,
	}

	has, err := global.DataSources.Get(u)
	if err != nil {
		return nil, err
	}

	if !has {
		return nil, NotExists
	}

	return u, nil
}
